Index lifecycle management
The index lifecycle management APIs enable you to set up policies to automatically manage the index lifecycle.
-
Migrate to data tiers routing
Stack
7.14+
- POST /_ilm/migrate_to_data_tiers
-
Move to a lifecycle step
Stack
6.6+
- POST /_ilm/move/{index}
-
Get lifecycle policies
Stack
6.6+
- GET /_ilm/policy/{policy}
-
Create or update a lifecycle policy
Stack
6.6+
- PUT /_ilm/policy/{policy}
-
Delete a lifecycle policy
Stack
6.6+
- DELETE /_ilm/policy/{policy}
-
Start the ILM plugin
Stack
6.6+
- POST /_ilm/start
-
Get the ILM status
Stack
6.6+
- GET /_ilm/status
-
Stop the ILM plugin
Stack
6.6+
- POST /_ilm/stop
-
Explain the lifecycle state
Stack
6.6+
- GET /{index}/_ilm/explain
-
Remove policies from an index
Stack
6.6+
- POST /{index}/_ilm/remove
-
Retry a policy
Stack
6.6+
- POST /{index}/_ilm/retry